For the complete documentation index, see llms.txt. This page is also available as Markdown.

Ensure WireguardGateway

Ensures that the WireguardGateway with the provided ID is created or modified. The full WireguardGateway needs to be provided to ensure (either update or create) the WireguardGateway. Non present data will only be filled with defaults or left empty, but not take previous values into consideration.

put
/wireguardgateways/{gatewayId}
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
gatewayIdstring · uuidRequired

The ID (UUID) of the WireguardGateway.

Example: 85c79b4b-5b40-570a-b788-58dd46ea71e2
Body
idstring · uuidRequired

The ID (UUID) of the WireguardGateway.

Example: 85c79b4b-5b40-570a-b788-58dd46ea71e2
metadataanyOptional

Metadata

Responses
200

WireguardGateway successfully updated.

application/json
idstring · uuidRequired

The ID (UUID) of the WireguardGateway.

Example: 85c79b4b-5b40-570a-b788-58dd46ea71e2
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the WireguardGateway.

Example: /wireguardgateways/85c79b4b-5b40-570a-b788-58dd46ea71e2
put/wireguardgateways/{gatewayId}
PUT /wireguardgateways/{gatewayId} HTTP/1.1
Host: vpn.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 579

{
  "id": "85c79b4b-5b40-570a-b788-58dd46ea71e2",
  "metadata": {},
  "properties": {
    "name": "My Company Gateway",
    "description": "This gateway allows connections to Datacenter LAN X.",
    "gatewayIP": "81.173.1.2",
    "interfaceIPv4CIDR": "172.16.0.1/30",
    "interfaceIPv6CIDR": "fd00::2/128",
    "connections": [
      {
        "datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
        "lanId": "2",
        "ipv4CIDR": "192.168.1.100/24",
        "ipv6CIDR": "fd28:5f8d:d9fe:08bd::/64"
      }
    ],
    "privateKey": "0HpE4BNwGHabeaC4aY/GFxB6fBSc0d49Db0qAzRVSVc=",
    "listenPort": 51820,
    "tier": "STANDARD",
    "maintenanceWindow": {
      "time": "16:30:59",
      "dayOfTheWeek": "Monday"
    }
  }
}
{
  "id": "85c79b4b-5b40-570a-b788-58dd46ea71e2",
  "type": "wireguardgateway",
  "href": "/wireguardgateways/85c79b4b-5b40-570a-b788-58dd46ea71e2",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "status": "AVAILABLE",
    "statusMessage": null,
    "publicKey": "-----BEGIN PUBLIC KEY-----\nMCowBQYDK2VuAyEApNLcmIfCLRwyGYN16teusuGPkdGo2C8OxiqaJLgOig4=\n-----END PUBLIC KEY-----\n"
  },
  "properties": {
    "name": "My Company Gateway",
    "description": "This gateway allows connections to Datacenter LAN X.",
    "gatewayIP": "81.173.1.2",
    "interfaceIPv4CIDR": "172.16.0.1/30",
    "interfaceIPv6CIDR": "fd00::2/128",
    "connections": [
      {
        "datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
        "lanId": "2",
        "ipv4CIDR": "192.168.1.100/24",
        "ipv6CIDR": "fd28:5f8d:d9fe:08bd::/64"
      }
    ],
    "listenPort": 51820,
    "tier": "STANDARD",
    "maintenanceWindow": {
      "time": "16:30:59",
      "dayOfTheWeek": "Monday"
    }
  }
}

Last updated

Was this helpful?